#2946 closed enhancement (fixed)

Add a top level global testsuite configuration file (.tcfg) and a 'user-input' test state.

Reported by: Chris Johns Owned by: joel.sherrill@…
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Adding a top level testsuite configuration file lets us specify tests that have a common test state across all BSPs.

Adding the test state 'user-input' clearly tags the test as needing user input and test result tools can correctly determine the test result. The current practice of passing a test needing user input is actually hiding the real result of the test.

Change History (4)

comment:1 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:2 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified

comment:3 Changed on Oct 11, 2017 at 11:47:54 PM by Joel Sherrill

Resolution: fixed
Status: assignedclosed

Chris says he fixed this.

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.